Skip to main content
GET
Get payment service tokens
This endpoint requires the payment-methods.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payment_method_id
string<uuid>
required

The ID of the payment method.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Query Parameters

payment_method_id
string<uuid>

Filters for transactions that have a payment method with an ID that matches exactly with the provided value.

Example:

"46973e9d-88a7-44a6-abfe-be4ff0134ff4"

Response

Returns a list payment service tokens of the specified payment method and payment service.

A list of payment service tokens.

items
Payment Service Token · object[]

A list of payment service tokens.

limit
integer<int32>
default:20

The limit applied to request. This represents the number of items that are at maximum returned by this request.

Required range: 1 <= x <= 100
Example:

1

next_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

null